Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.configuration
Class AbstractObjectInfo

    java.lang.Object
      org.jbpm.configuration.AbstractObjectInfo

All Implemented Interfaces:
  java.io.Serializable, ObjectInfo

Direct Known Subclasses:
  BeanInfo, BooleanInfo, CharacterInfo, DoubleInfo, FloatInfo, IntegerInfo, JbpmContextInfo, JbpmTypeObjectInfo, ListInfo, LongInfo, MapInfo, NullInfo, RefInfo, StringInfo

    public abstract class AbstractObjectInfo

extends java.lang.Object
implements ObjectInfo

See Also:
  Serialized Form

Constructor Summary
`AbstractObjectInfo()`
`AbstractObjectInfo(org.w3c.dom.Element element, ObjectFactoryParser objectFactoryParser)`

Method Summary
`java.lang.String` | `getName()`
`protected java.lang.String` | `getValueString(org.w3c.dom.Element element)`
`boolean` | `hasName()`
`boolean` | `isSingleton()`
`void` | `setName(java.lang.String name)`
`void` | `setSingleton(boolean isSingleton)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.configuration.ObjectInfo
`createObject`

Constructor Detail

### AbstractObjectInfo

    public AbstractObjectInfo()

### AbstractObjectInfo

    public AbstractObjectInfo(org.w3c.dom.Element element,
                              ObjectFactoryParser objectFactoryParser)

Method Detail

### getValueString

    protected java.lang.String getValueString(org.w3c.dom.Element element)

### hasName

    public boolean hasName()

  Specified by:
    `hasName` in interface `ObjectInfo`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ObjectInfo`

### setName

    public void setName(java.lang.String name)

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `ObjectInfo`

### setSingleton

    public void setSingleton(boolean isSingleton)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD